> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 새 서비스 생성

> organization에 새 service를 생성하고, 현재 service 상태와 service에 액세스하기 위한 password를 반환합니다. service는 비동기적으로 시작됩니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/services
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services:
    post:
      tags:
        - Service
      summary: 새 서비스 생성
      description: >-
        organization에 새 service를 생성하고, 현재 service 상태와 service에 액세스하기 위한
        password를 반환합니다. service는 비동기적으로 시작됩니다.
      parameters:
        - description: service를 소유할 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServicePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ServicePostResponse'
                  status:
                    description: HTTP status 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP status 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 server가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ServicePostRequest:
      properties:
        backupId:
          description: >-
            새 서비스의 초기 상태로 사용할 수 있는 선택적 Backup ID입니다. 이 값을 사용하면 새 instance의
            Region과 tier는 원본 instance의 값과 같아야 합니다.
          format: uuid
          type: string
        byocId:
          description: >-
            Bring Your Own Cloud (BYOC)에 사용할 Region을 설정한 후 반환되는 ID입니다. byocId
            매개변수를 지정하면 minReplicaMemoryGb 및 maxReplicaGb 매개변수도 함께 지정해야 하며, 값은 다음
            크기 중 하나여야 합니다: 48, 116, 172, 232.
          type: string
        complianceType:
          description: 서비스의 규제 컴플라이언스 유형입니다.
          enum:
            - hipaa
            - pci
          type: string
        dataWarehouseId:
          description: 이 서비스가 포함된 데이터 warehouse입니다.
          type: string
        encryptionAssumedRoleIdentifier:
          description: 디스크 암호화에 사용할 선택적 역할입니다.
          type: string
        encryptionKey:
          description: 선택적으로 고객이 제공하는 디스크 암호화 키입니다.
          type: string
        endpoints:
          description: 활성화하거나 비활성화할 서비스 endpoints 목록
          items:
            $ref: '#/components/schemas/ServiceEndpointChange'
          type: array
        hasTransparentDataEncryption:
          description: >-
            서비스에서 Transparent Data Encryption (TDE)을 활성화해야 하면 true입니다. TDE는
            ENTERPRISE organization tier에서만 사용할 수 있으며, 서비스 생성 시에만 활성화할 수 있습니다.
          type: boolean
        idleScaling:
          description: true로 설정하면 유휴 상태일 때 서비스를 0까지 축소할 수 있습니다. 기본값은 true입니다.
          type: boolean
        idleTimeoutMinutes:
          description: 최소 유휴 상태 전환 timeout(분)을 설정합니다. 5분 이상이어야 합니다.
          type: number
        ipAccessList:
          description: 서비스에 액세스할 수 있도록 허용된 IP 주소 목록
          items:
            $ref: '#/components/schemas/IpAccessListEntry'
          type: array
        isReadonly:
          description: 이 서비스가 읽기 전용이면 true입니다. dataWarehouseId가 제공된 경우에만 읽기 전용일 수 있습니다.
          type: boolean
        maxReplicaMemoryGb:
          description: >-
            자동 스케일링 중 각 레플리카의 최대 총 메모리(Gb)입니다. 4의 배수여야 하며, 무료 서비스는 120* 이하, 유료
            서비스는 356* 이하여야 합니다. * - 최대 레플리카 크기는 선택한 Region에서 클라우드 제공업체 하드웨어의
            가용성에 따라 달라집니다. 
          example: 120
          maximum: 356
          minimum: 8
          multipleOf: 4
          type: number
        maxTotalMemoryGb:
          deprecated: true
          description: >-
            더 이상 사용되지 않음 - 기본값이 아닌 레플리카 수를 사용하는 서비스에는 정확하지 않습니다. 자동 스케일링 중 3개
            worker의 최대 메모리(Gb)입니다. 'production' 서비스에서만 사용할 수 있습니다. 12의 배수여야 하며,
            무료 서비스는 360 이하, 유료 서비스는 1068 이하여야 합니다.
          example: 360
          maximum: 1068
          minimum: 24
          multipleOf: 12
          type: number
        minReplicaMemoryGb:
          description: 자동 스케일링 중 각 레플리카의 최소 총 메모리(Gb)입니다. 4의 배수여야 하며 8 이상이어야 합니다.
          example: 16
          maximum: 356
          minimum: 8
          multipleOf: 4
          type: number
        minTotalMemoryGb:
          deprecated: true
          description: >-
            더 이상 사용되지 않음 - 기본값이 아닌 레플리카 수를 사용하는 서비스에는 정확하지 않습니다. 자동 스케일링 중 3개
            worker의 최소 메모리(Gb)입니다. 'production' 서비스에서만 사용할 수 있습니다. 12의 배수여야 하며
            24 이상이어야 합니다.
          example: 48
          maximum: 1068
          minimum: 24
          multipleOf: 12
          type: number
        name:
          description: 서비스 이름입니다. 공백을 포함할 수 있는 최대 50자의 영숫자 문자열입니다.
          type: string
        numReplicas:
          description: >-
            서비스의 레플리카 수입니다. warehouse의 첫 번째 서비스는 레플리카 수가 2~20 사이여야 합니다. 기존
            warehouse에서 생성되는 서비스는 레플리카 수를 최소 1까지 설정할 수 있습니다. 조직의 tier에 따라 추가 제한이
            적용될 수 있습니다. 기본값은 BASIC tier에서 1, SCALE 및 ENTERPRISE tier에서 3입니다.
          example: 3
          maximum: 20
          minimum: 1
          type: number
        privateEndpointIds:
          deprecated: true
          description: >-
            서비스를 private endpoints와 연결하려면 먼저 서비스를 생성한 다음 `Update Service Basic
            Details` endpoint를 사용해 private endpoints를 수정하십시오.
          items:
            type: string
          type: array
        privatePreviewTermsChecked:
          description: 비공개 프리뷰 약관에 동의합니다. 비공개 프리뷰의 경우 조직에서 첫 번째 서비스를 생성할 때만 필요합니다.
          type: boolean
        profile:
          description: 사용자 지정 인스턴스 프로필입니다. ENTERPRISE 조직 tier에서만 사용할 수 있습니다.
          enum:
            - v1-default
            - v1-highmem-xs
            - v1-highmem-s
            - v1-highmem-m
            - v1-highmem-l
            - v1-highmem-xl
            - v1-highcpu-s
            - v1-highcpu-m
            - v1-highcpu-l
            - v1-highcpu-xl
          type: string
        provider:
          description: 클라우드 제공업체
          enum:
            - aws
            - gcp
            - azure
          type: string
        region:
          description: 서비스 Region입니다.
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        releaseChannel:
          description: >-
            새 ClickHouse releases를 제공되는 즉시 받으려면 fast를 선택하십시오. 새 기능을 더 빨리 사용할 수
            있지만 버그가 발생할 위험은 더 높습니다. 테스트 시간을 더 확보하려면 slow를 선택해 release를 늦출 수
            있습니다. 이 기능은 production 서비스에서만 사용할 수 있습니다. 기본값은 정기 릴리스 채널입니다.
          enum:
            - slow
            - default
            - fast
          type: string
        tier:
          deprecated: true
          description: >-
            BASIC, SCALE 및 ENTERPRISE organization tier에서는 더 이상 사용되지 않습니다. 서비스
            tier: 'development', 'production', 'dedicated_high_mem',
            'dedicated_high_cpu', 'dedicated_standard',
            'dedicated_standard_n2d_standard_4',
            'dedicated_standard_n2d_standard_8',
            'dedicated_standard_n2d_standard_32',
            'dedicated_standard_n2d_standard_128',
            'dedicated_standard_n2d_standard_32_16SSD',
            'dedicated_standard_n2d_standard_64_24SSD'. Production 서비스는 스케일링되며
            Development는 고정 크기입니다. Azure 서비스는 Development tier를 지원하지 않습니다.
          enum:
            - development
            - production
            - dedicated_high_mem
            - dedicated_high_cpu
            - dedicated_standard
            - dedicated_standard_n2d_standard_4
            - dedicated_standard_n2d_standard_8
            - dedicated_standard_n2d_standard_32
            - dedicated_standard_n2d_standard_128
            - dedicated_standard_n2d_standard_32_16SSD
            - dedicated_standard_n2d_standard_64_24SSD
          type: string
    ServicePostResponse:
      properties:
        password:
          description: 새로 생성된 서비스의 비밀번호입니다.
          type: string
        service:
          $ref: '#/components/schemas/Service'
    ServiceEndpointChange:
      properties:
        enabled:
          description: endpoint를 활성화하거나 비활성화합니다.
          type: boolean
        protocol:
          description: endpoint 프로토콜입니다.
          enum:
            - mysql
          example: mysql
          type: string
    IpAccessListEntry:
      properties:
        description:
          description: 액세스를 허용할 IPv4 주소 또는 IPv4 CIDR에 대한 선택적 설명
          type: string
        source:
          description: IP 또는 CIDR
          type: string
    Service:
      properties:
        availablePrivateEndpointIds:
          description: 서비스에 연결할 수 있는 사용 가능한 private endpoint ID 목록
          items:
            type: string
          type: array
        byocId:
          description: >-
            Bring Your Own Cloud (BYOC)용 리전을 설정한 후 반환되는 ID입니다. byocId 매개변수를 지정하는
            경우, minReplicaMemoryGb 및 maxReplicaGb 매개변수도 필요하며 값은 다음 크기 중 하나여야
            합니다: 48, 116, 172, 232.
          type: string
        clickhouseVersion:
          description: 서비스의 ClickHouse 버전입니다.
          type: string
        complianceType:
          description: 서비스의 규제 컴플라이언스 유형입니다.
          enum:
            - hipaa
            - pci
          type: string
        createdAt:
          description: 서비스 생성 timestamp입니다. ISO-8601 형식입니다.
          format: date-time
          type: string
        dataWarehouseId:
          description: 이 서비스를 포함하는 데이터 warehouse
          type: string
        encryptionAssumedRoleIdentifier:
          description: 디스크 암호화에 사용할 선택 사항인 Role
          type: string
        encryptionKey:
          description: 선택 사항인 고객 제공 디스크 암호화 키
          type: string
        encryptionRoleId:
          description: >-
            암호화에 사용되는 IAM role ID입니다. hasTransparentDataEncryption이 true인 경우에만
            사용할 수 있습니다.
          type: string
        endpoints:
          description: 모든 서비스 endpoint 목록입니다.
          items:
            $ref: '#/components/schemas/ServiceEndpoint'
          type: array
        hasTransparentDataEncryption:
          description: >-
            서비스에서 Transparent Data Encryption (TDE)을 활성화해야 하면 true입니다. TDE는
            ENTERPRISE organization tier에서만 사용할 수 있으며 서비스 생성 시에만 활성화할 수 있습니다.
          type: boolean
        iamRole:
          description: S3의 객체에 접근하는 데 사용되는 IAM role
          type: string
        id:
          description: 고유한 서비스 ID입니다.
          format: uuid
          type: string
        idleScaling:
          description: true로 설정하면 유휴 상태일 때 서비스가 0까지 스케일 다운될 수 있습니다. 기본값은 true입니다.
          type: boolean
        idleTimeoutMinutes:
          description: 최소 유휴 timeout(분)을 설정합니다. 5분 이상이어야 합니다.
          type: number
        ipAccessList:
          description: 서비스에 대한 접근이 허용된 IP 주소 목록
          items:
            $ref: '#/components/schemas/IpAccessListEntry'
          type: array
        isPrimary:
          description: 이 서비스가 데이터 warehouse의 기본 서비스이면 true입니다.
          type: boolean
        isReadonly:
          description: 이 서비스가 읽기 전용이면 true입니다. dataWarehouseId가 제공된 경우에만 읽기 전용일 수 있습니다.
          type: boolean
        maxReplicaMemoryGb:
          description: >-
            자동 스케일링 중 각 레플리카의 최대 총 메모리(GB)입니다. 4의 배수여야 하며, 유료가 아닌 서비스는 120* 이하여야
            하고 유료 서비스는 356* 이하여야 합니다. * 최대 레플리카 크기는 선택한 리전에서 클라우드 제공업체 하드웨어 가용성에
            따라 달라집니다. 
          example: 120
          maximum: 356
          minimum: 8
          multipleOf: 4
          type: number
        maxTotalMemoryGb:
          deprecated: true
          description: >-
            더 이상 사용되지 않습니다. 기본값이 아닌 개수의 레플리카를 사용하는 서비스에서는 정확하지 않습니다. 자동 스케일링 중
            3개 worker의 최대 메모리(GB)입니다. 'production' 서비스에서만 사용할 수 있습니다. 12의 배수이면서,
            유료가 아닌 서비스는 360 이하여야 하고 유료 서비스는 1068 이하여야 합니다.
          example: 360
          maximum: 1068
          minimum: 24
          multipleOf: 12
          type: number
        minReplicaMemoryGb:
          description: 자동 스케일링 중 각 레플리카의 최소 총 메모리(GB)입니다. 4의 배수이면서 8 이상이어야 합니다.
          example: 16
          maximum: 356
          minimum: 8
          multipleOf: 4
          type: number
        minTotalMemoryGb:
          deprecated: true
          description: >-
            더 이상 사용되지 않습니다. 기본값이 아닌 개수의 레플리카를 사용하는 서비스에서는 정확하지 않습니다. 자동 스케일링 중
            3개 worker의 최소 메모리(GB)입니다. 'production' 서비스에서만 사용할 수 있습니다. 12의 배수이면서
            24 이상이어야 합니다.
          example: 48
          maximum: 1068
          minimum: 24
          multipleOf: 12
          type: number
        name:
          description: 서비스 이름입니다. 공백을 포함할 수 있는 최대 50자의 영숫자 문자열입니다.
          type: string
        numReplicas:
          description: >-
            서비스의 레플리카 수입니다. warehouse의 첫 번째 서비스는 레플리카 수가 2~20개여야 합니다. 기존
            warehouse에 생성되는 서비스는 레플리카 수를 1개까지 설정할 수 있습니다. organization tier에 따라
            추가 제한이 적용될 수 있습니다. 기본값은 BASIC tier에서 1, SCALE 및 ENTERPRISE tier에서
            3입니다.
          example: 3
          maximum: 20
          minimum: 1
          type: number
        privateEndpointIds:
          description: private endpoint 목록
          items:
            type: string
          type: array
        profile:
          description: >-
            사용자 지정 instance profile입니다. ENTERPRISE organization tier에서만 사용할 수
            있습니다.
          enum:
            - v1-default
            - v1-highmem-xs
            - v1-highmem-s
            - v1-highmem-m
            - v1-highmem-l
            - v1-highmem-xl
            - v1-highcpu-s
            - v1-highcpu-m
            - v1-highcpu-l
            - v1-highcpu-xl
          type: string
        provider:
          description: 클라우드 제공업체
          enum:
            - aws
            - gcp
            - azure
          type: string
        region:
          description: 서비스 리전입니다.
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        releaseChannel:
          description: >-
            새 ClickHouse releases를 제공되는 즉시 받으려면 fast를 선택하십시오. 새 기능을 더 빠르게 사용할 수
            있지만 버그 위험은 더 높습니다. 릴리스를 늦춰 테스트 시간을 더 확보하려면 slow를 선택하십시오. 이 기능은
            production 서비스에서만 사용할 수 있습니다. 기본값은 정기 릴리스 채널입니다.
          enum:
            - slow
            - default
            - fast
          type: string
        state:
          description: 서비스의 현재 상태입니다.
          enum:
            - starting
            - stopping
            - terminating
            - awaking
            - partially_running
            - provisioning
            - running
            - stopped
            - terminated
            - degraded
            - failed
            - idle
          type: string
        tier:
          deprecated: true
          description: >-
            BASIC, SCALE 및 ENTERPRISE organization tier에서는 더 이상 사용되지 않습니다. 서비스
            tier는 다음과 같습니다: 'development', 'production', 'dedicated_high_mem',
            'dedicated_high_cpu', 'dedicated_standard',
            'dedicated_standard_n2d_standard_4',
            'dedicated_standard_n2d_standard_8',
            'dedicated_standard_n2d_standard_32',
            'dedicated_standard_n2d_standard_128',
            'dedicated_standard_n2d_standard_32_16SSD',
            'dedicated_standard_n2d_standard_64_24SSD'. Production 서비스는 스케일링되며,
            Development는 크기가 고정됩니다. Azure 서비스는 Development tier를 지원하지 않습니다.
          enum:
            - development
            - production
            - dedicated_high_mem
            - dedicated_high_cpu
            - dedicated_standard
            - dedicated_standard_n2d_standard_4
            - dedicated_standard_n2d_standard_8
            - dedicated_standard_n2d_standard_32
            - dedicated_standard_n2d_standard_128
            - dedicated_standard_n2d_standard_32_16SSD
            - dedicated_standard_n2d_standard_64_24SSD
          type: string
        transparentDataEncryptionKeyId:
          description: >-
            서비스에 사용되는 Transparent Data Encryption 키 ID입니다.
            hasTransparentDataEncryption이 true인 경우에만 사용할 수 있습니다.
          type: string
    ServiceEndpoint:
      properties:
        host:
          description: 서비스 호스트 이름
          type: string
        port:
          description: 포트 번호
          type: number
        protocol:
          description: '엔드포인트 프로토콜: ''https'', ''nativesecure'', ''mysql''.'
          enum:
            - https
            - nativesecure
            - mysql
          example: mysql
          type: string
        username:
          description: 엔드포인트용 선택적 사용자 이름
          nullable: true
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````